package cn.superdesk.uniorder.dao.mapper.setting;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedService;
import cn.superdesk.uniorder.dao.entity.setting.UnifiedServiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedServiceMapper {
    long countByExample(UnifiedServiceExample example);

    int deleteByExample(UnifiedServiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedService record);

    int insertSelective(UnifiedService record);

    List<UnifiedService> selectByExample(UnifiedServiceExample example);

    UnifiedService selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedService record, @Param("example") UnifiedServiceExample example);

    int updateByExample(@Param("record") UnifiedService record, @Param("example") UnifiedServiceExample example);

    int updateByPrimaryKeySelective(UnifiedService record);

    int updateByPrimaryKey(UnifiedService record);
}